﻿using System;

namespace Bango
{
    public static class BGOAnalyticsConstants
    {
        public const int BGO_SDK_TYPE = 3;
        public const string BGO_SDK_VERSION = "5.0.4";
        public const string BGO_POST_RESPONSE_SUCCESS = "OK";
        public const string BGO_POST_RESPONSE_SUCCESS_WITH_MINOR_ERRORS = "OK_WITH_ERRORS";
        public const string BGO_ERROR_TAG = "BANGO_INAPP_ANALYTICS";
        public const string BGO_VIDEO_PARAMETERNAME = "BGO_VIDEOTYPE";
        public const string BGO_VIDEO_LIVEPARAMETER = "LIVE";
        public const string BGO_VIDEO_ONDEMANDPARAMETER = "ONDEMAND";
        public const float BGO_POSTDELAY_SESSIONEND = 10000L;
        public const int BGO_WIFI_CONNECTION = -999;
        public const string BGO_UNKNOWN_VERSION = "Unknown";
        public const int BGO_ERROR_NONE = 0;
        public const int BGO_ERROR_USER = 1;
        public const int BGO_ERROR_INTERNAL_CRITICAL = -1;
        public const int BGO_ERROR_INTERNAL_WARNING = -2;
        public const float BGO_TRANSMIT_TIMEOUT = 240.0f;
        public const string BGO_SETTING_POST_URL = "https://bango.net/AppAnalytics/";
        public const string BGO_SETTING_POST_URL_USED_IN_ANDROID = "http://bango.com/InAppAnalyticsWeb/service.aspx";
        public const string BGO_SETTING_POST_URL_DEBUG = "https://bango.net/appanalytics/debug/";
        public const string BGO_SETTING_POST_DEV = "http://dev.bango.org/AppAnalytics/";
        public const bool BGO_SETTING_USEOFFLINESTORAGE = true;
        public const bool BGO_SETTING_LOGEVENTS = true;
        public const int BGO_SETTING_SESSION_RESUME_PERIOD = 10;
        public const string BGO_DATETIME_FORMAT = "yyyy-MM-dd'T'HH:mm:ss.SSS";
        public const string BGO_CONNECTION_TYPE_WIFI = "WIFI";
        public const string BGO_CONNECTION_TYPE_OPERATOR = "OPERATOR";
        public const string BGO_CONNECTION_TYPE_OTHER = "OTHER";
        public const string BGO_LOCATION_CELL = "NETWORK";
        public const string BGO_LOCATION_ASSISTED = "ASSISTED";
        public const string BGO_LOCATION_GPS = "GPS";


        public const string BGO_TRANSMIT_ALL = "TRANSMIT_ALL";
        public const string BGO_TRANSMIT_EXCLUDE_LATEST = "TRANSMIT_EXCLUDE_LATEST";
        public const string BGO_TRANSMIT_ALL_RETAIN_LATEST = "TRANSMIT_ALL_RETAIN_LATEST";
        public const string BGO_TRANSMIT_ALL_RETAIN_LATEST_BG = "TRANSMIT_ALL_RETAIN_LATEST_BG";

    }
}